<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Classwork</title>

    <script>

    /*
      Задание:
      1. При помощи методов разобраных на занятии, переформатировать ITEA_COURSES в массив который содержит длину строк каждого из элементов.
      2. Используя метод Array.sort. Отфильтровать массив ITEA_COURSES по длине строк. Вывести на страницу списком
      3. Реализация функции поиска по массиву ITEA_COURSES. Вывести на страницу инпут и кнопку по которой будет срабатывать поиск.
    */

    const ITEA_COURSES = ["Курс HTML & CSS", "JavaScript базовый курс", "JavaScript продвинутый курс", "JavaScript Professional", "Angular 2.4 (базовый)", "Angular 2.4 (продвинутый)", "React.js", "React Native", "Node.js", "Vue.js"];

    /*
      Задание 2:
      Написать фильтр массива по:
      Актеру, продолжительности

      Бонус:
        Сделать графическую оболочку для программы:
        - Селект со списком актеров
        - Селект или инпут с продолжительностью
        - Результат в виде списка фильмов
      
        <select> <input type="number" name="duration" > <button> find </button>
    */

      var stars = ['Elijah Wood', 'Ian McKellen', 'Orlando Bloom','Ewan McGregor',' Liam Neeson', 'Natalie Portman', 'Ewan McGregor', 'Billy Bob Thornton', 'Martin Freeman']
      var movies = [
            {
              name: "Lord of the Rigs",
              duration: 240,
              starring: [ 'Elijah Wood', 'Ian McKellen', 'Orlando Bloom']
            },
            {
              name: "Star Wars: Episode I - The Phantom Menace",
              duration: 136,
              starring: [ 'Ewan McGregor',' Liam Neeson', 'Natalie Portman']
            },
            {
              name: "Fargo",
              duration: 100,
              starring: [ 'Ewan McGregor', 'Billy Bob Thornton', 'Martin Freeman']
            },
            {
            name: "V for Vendetta",
            duration: 150,
            starring: [ 'Hugo Weaving', 'Natalie Portman', 'Rupert Graves']
          }
        ];

    </script>
</head>
<body>
  
</body>
</html>
